class ActivityPolicy < ApplicationPolicy
  class Scope < Scope
    attr_reader :user, :scope

    def initialize(user, scope)
      @user  = user
      @scope = scope
    end

    def resolve
      scope.includes(:owner,:recipient).where("privacy = 'public'").order('created_at DESC').all
    end
  end

  def index?
    true
  end

  ## only user followers can see your activities
  def user_activities?
    record if user.following? record
  end
end
