FactoryGirl.define do
  factory :learning_object do
    sequence(:name) { |i| "LearningObject #{i}" }
    sequence(:id_dspace) { |i| i }
    publisher
    object_type { ObjectType.all.sample }
    language { Language.all.sample }
    author { Faker::Name.name }
    state { LearningObject.states[:published] }
  end
end
